#!/usr/bin/env python3

# System module
import numpy as np

np.set_printoptions(precision=3)


def mat_vec():
    # Read in Column Vector; Store in x
    vector_filename = "my_vector.txt"
    x = np.loadtxt(vector_filename, ndmin=2)
    print ("x is: \n", x)
    # Read in Square Matrix; Store in A
    # Use np.loadtxt to read
    # in contents of "my_matrix.txt"
    matrix_filename = "my_matrix.txt"
    A = np.loadtxt(matrix_filename, ndmin=2)
    print ("A is: \n", A)

    # Compute "b = A * x" using np.dot(A, x)
    b = np.dot(A, x)
    print ("b is: \n", b)
    # Write b to file
    result_filename = "my_result.txt"
    np.savetxt(result_filename, b)
    return A, x, b

if __name__ == "__main__":

    # Run Function mat_vec
    A, x, b = mat_vec()
